sdiaud: XSdiAud Struct Reference

| sdiaud Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XSdiAud Struct Reference
Sdiaud_v2_0

The XSdiAud driver instance data. More...

## Data Fields
u32 | IsReady
| Core and the driver instance are initialized. More...
u32 | IsStarted
| Core and the driver instance has started. More...
XSdiAud_Config | Config
| Hardware Configuration. More...
XSdiAud_Callback | GrpChangeDetHandler
| Start of group change detected handler. More...
void * | GrpChangeDetHandlerRef
| Callback reference for group change detected handler. More...
XSdiAud_Callback | ActiveChannelChangeDetHandler
| Start of active channel change detected handler. More...
void * | ActiveChannelChangeDetHandlerRef
| Callback reference for active channel change detected handler. More...
XSdiAud_Callback | SampleRateChangeDetHandler
| Start of sample rate change detected handler. More...
void * | SampleRateChangeDetHandlerRef
| Callback reference for sample rate change detected handler. More...
XSdiAud_Callback | AsxChangeDetHandler
| Start of asynchronous data flag value change detected handler. More...
void * | AsxChangeDetHandlerRef
| Callback reference for asynchronous data flag change handler. More...
XSdiAud_Callback | StatChangeDetHandler
| Start of status change detected handler. More...
void * | StatChangeDetHandlerRef
| Callback reference for status change detected handler. More...
XSdiAud_Callback | AesCsUpdateDetHandler
| Start of AES channel status value update detected handler. More...
void * | AesCsUpdateDetHandlerRef
| Callback reference for AES channel status value updated handler. More...
XSdiAud_Callback | AesCsChangeDetHandler
| Start of AES channel status value change detected handler. More...
void * | AesCsChangeDetHandlerRef
| Callback reference for AES channel status value change handler. More...
XSdiAud_Callback | VidPropChangeDetHandler
| Start of video properties change detected handler. More...
void * | VidPropChangeDetHandlerRef
| Callback reference for video properties change detected handler. More...
XSdiAud_Callback | FifoOvrflwDetHandler
| Start of fifo overflow detected handler. More...
void * | FifoOvrflwDetHandlerRef
| Callback reference for fifo overflow detected handler. More...
XSdiAud_Callback | ParityErrDetHandler
| Start of parity error detected handler. More...
void * | ParityErrDetHandlerRef
| Callback reference for Parity Error detected Handler. More...
XSdiAud_Callback | ChecksumErrDetHandler
| Start of checksum error detected handler. More...
void * | ChecksumErrDetHandlerRef
| Callback reference for checksum error detected handler. More...
XSdiAud_GrpNum | StrtGrpNum
| start group number that is configured More...
XSdiAud_NumOfCh | NumOfCh
| Total Number of channels that are configured. More...

## Detailed Description

The XSdiAud driver instance data.

An instance must be allocated for each XSdiAud core in use.

## Field Documentation

XSdiAud_Callback XSdiAud::ActiveChannelChangeDetHandler

Start of active channel change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::ActiveChannelChangeDetHandlerRef

Callback reference for active channel change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::AesCsChangeDetHandler

Start of AES channel status value change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::AesCsChangeDetHandlerRef

Callback reference for AES channel status value change handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::AesCsUpdateDetHandler

Start of AES channel status value update detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::AesCsUpdateDetHandlerRef

Callback reference for AES channel status value updated handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::AsxChangeDetHandler

Start of asynchronous data flag value change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::AsxChangeDetHandlerRef

Callback reference for asynchronous data flag change handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::ChecksumErrDetHandler

Start of checksum error detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::ChecksumErrDetHandlerRef

Callback reference for checksum error detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Config XSdiAud::Config

Hardware Configuration.

Referenced by XSdiAud_CfgInitialize(), XSdiAud_ConfigReset(), XSdiAud_CoreReset(), XSdiAud_Emb_EnExtrnLine(), XSdiAud_Emb_SetAsx(), XSdiAud_Emb_SetSmpRate(), XSdiAud_Emb_SetSmpSize(), XSdiAud_Emb_SetVidProps(), XSdiAud_Enable(), XSdiAud_Ext_DisableClkPhase(), XSdiAud_Ext_GetAcChStatus(), XSdiAud_Ext_GetAsxStatus(), XSdiAud_Ext_GetFIFOOvFlwStatus(), XSdiAud_Ext_GetSRStatus(), XSdiAud_GetActGrpStatus(), XSdiAud_GetChStat(), XSdiAud_GetCoreVersion(), XSdiAud_GetIntStat(), XSdiAud_IntrHandler(), XSdiAud_MuteCh(), XSdiAud_SelfTest(), XSdiAud_SetAesChPair(), and XSdiAud_SetCh().

XSdiAud_Callback XSdiAud::FifoOvrflwDetHandler

Start of fifo overflow detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::FifoOvrflwDetHandlerRef

Callback reference for fifo overflow detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::GrpChangeDetHandler

Start of group change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::GrpChangeDetHandlerRef

Callback reference for group change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

u32 XSdiAud::IsReady

Core and the driver instance are initialized.

Referenced by XSdiAud_CfgInitialize(), and XSdiAud_IntrHandler().

u32 XSdiAud::IsStarted

Core and the driver instance has started.

Referenced by XSdiAud_Enable().

XSdiAud_NumOfCh XSdiAud::NumOfCh

Total Number of channels that are configured.

XSdiAud_Callback XSdiAud::ParityErrDetHandler

Start of parity error detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::ParityErrDetHandlerRef

Callback reference for Parity Error detected Handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::SampleRateChangeDetHandler

Start of sample rate change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::SampleRateChangeDetHandlerRef

Callback reference for sample rate change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_Callback XSdiAud::StatChangeDetHandler

Start of status change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::StatChangeDetHandlerRef

Callback reference for status change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

XSdiAud_GrpNum XSdiAud::StrtGrpNum

start group number that is configured

XSdiAud_Callback XSdiAud::VidPropChangeDetHandler

Start of video properties change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().

void* XSdiAud::VidPropChangeDetHandlerRef

Callback reference for video properties change detected handler.

Referenced by XSdiAud_IntrHandler(), and XSdiAud_SetHandler().